/*
Copyright (C) 2001, 2006 United States Government
as represented by the Administrator of the
National Aeronautics and Space Administration.
All Rights Reserved.
*/
package gov.nasa.worldwind;

import gov.nasa.worldwind.geom.*;

import java.awt.*;
import java.awt.Color;

/**
 * @author tag
 * @version $Id$
 */
public interface WWIcon // extends gov.nasa.worldwind.AVList
{
    String getPath();

    Position getPosition();

    void setPosition(Position iconPosition);

//    void setPosition(PolarPoint iconPosition);

    boolean isHighlighted();

    void setHighlighted(boolean highlighted);

    Dimension getSize();

    void setSize(Dimension size);

    boolean isVisible();

    void setVisible(boolean visible);

    double getHighlightScale();

    void setHighlightScale(double highlightScale);

    String getToolTipText();

    void setToolTipText(String toolTipText);

    Font getToolTipFont();

    void setToolTipFont(Font toolTipFont);

    boolean isShowToolTip();

    void setShowToolTip(boolean showToolTip);

    Color getToolTipTextColor();

    void setToolTipTextColor(Color textColor);
}
